<?php
if (!defined('_GNUBOARD_')) exit; // 개별 페이지 접근 불가 

if($write['wr_9'] == "lock" || $write['wr_9'] == "shingo") {
    alert('블라인드 처리된 글의 자료는 다운할 수 없습니다.');
}

$v_icon = amina_array_icon($write['wr_5']);

//다운로드 제한 - 회원만 가능,  관리자와 글쓴이는 제외
if(!$is_admin && $member['mb_id'] && $write['mb_id'] != $member['mb_id']) {

	//관련 게시물의 열람/다운 MP 사용 회원만 다운로드 가능
	if($v_icon['po_wr_type'] && $v_icon['po_wr_table'] && $v_icon['po_wr_id']) {
		if($v_icon['po_wr_type'] == "both") {
			$row2 = sql_fetch(" select count(*) as cnt from {$g5['amina_point']} where bo_table = '{$v_icon['po_wr_table']}' and wr_id = '{$v_icon['po_wr_id']}' and mb_id = '{$member['mb_id']}' ");
			if(!$row2['cnt']) {
				alert('본 자료는 관련 게시물에 다운 또는 열람 MP를 사용한 회원만 다운로드할 수 있습니다.');
			}
		} else {
			if($v_icon['po_wr_type'] == "down") {
				$row2 = sql_fetch(" select count(*) as cnt from {$g5['amina_point']} where bo_table = '{$v_icon['po_wr_table']}' and wr_id = '{$v_icon['po_wr_id']}' and mb_id = '{$member['mb_id']}' and po_flag = '@po_down' ");
				if(!$row2['cnt']) {
					alert('본 자료는 관련 게시물에 다운 MP를 사용한 회원만 다운로드할 수 있습니다.');
				}
			}

			if($v_icon['po_wr_type'] == "view") {
				$row2 = sql_fetch(" select count(*) as cnt from {$g5['amina_point']} where bo_table = '{$v_icon['po_wr_table']}' and wr_id = '{$v_icon['po_wr_id']}' and mb_id = '{$member['mb_id']}' and po_flag = '@po_view' ");
				if(!$row2['cnt']) {
					alert('본 자료는 관련 게시물에 열람 MP를 사용한 회원만 다운로드할 수 있습니다.');
				}
			}
		}
	}

	//댓글작성시
	if($amina['limit_down_cmt']) { 
		$row2 = sql_fetch(" select count(*) as cnt from $write_table where wr_is_comment=1 and wr_parent = '$wr_id' and mb_id = '{$member['mb_id']}' ");
		if(!$row2['cnt']) {
			alert('댓글 작성시 다운로드할 수 있습니다.');
		}
	}

	//추천 또는 비추천시
	if($amina['limit_down_good'] && ($board['bo_use_good'] || $board['bo_use_nogood'])) {
		$row2 = sql_fetch(" select count(*) as cnt from {$g5['board_good_table']} where bo_table = '$bo_table' and wr_id = '$wr_id' and mb_id = '{$member['mb_id']}' ");
		if(!$row2['cnt']) {
			alert('추천 또는 비추천시 다운로드할 수 있습니다.');
		}
	}

	//별점시
	if($amina['limit_down_star'] && $amina['star'] > 1) {
		$row2 = sql_fetch(" select count(*) as cnt from {$g5['amina_star']} where bo_table = '$bo_table' and wr_id = '$wr_id' and mb_id = '{$member['mb_id']}' ");
		if(!$row2['cnt']) {
			alert('별점을 주셔야 다운로드할 수 있습니다.');
		}
	}

	//투표시
	if($amina['limit_down_poll']) {
		$wr_post = amina_array_write($write['wr_10']);
		if($wr_post['chk_poll']) {
			$row2 = sql_fetch(" select count(*) as cnt from {$g5['amina_polllog']} where bo_table = '$bo_table' and wr_id = '$wr_id' and mb_id = '{$member['mb_id']}' ");
			if(!$row2['cnt']) {
				alert('투표를 하셔야 다운로드할 수 있습니다.');
			}
		}
	}
} else {

	if($v_icon['po_wr_type'] && !$member['mb_id']) {
	    alert('관련 게시물을 이용한 회원만 다운로드할 수 있습니다.');
	}

}

//다운포인트
if($amina['po_down']) {
	if (!$is_member) 
	    alert('회원만 가능합니다.');

	if ($member['mb_level'] < $amina['po_down_level'] || $member['mb_level'] < $board['bo_download_level']) 
		alert('다운권한이 없습니다.');

	if (!$is_admin && $write['mb_id'] && $write['mb_id'] != $member['mb_id']) {
		if($v_icon['po_down_point'] > 0) {
			include_once(AMINA_PATH.'/lib/point.lib.php');
			amina_point("po_down", $bo_table, $wr_id, $write['mb_id'], $v_icon['po_down_point'], '@po_down', $write['wr_datetime']);
		}
    }
}

?>